#ifndef MSP_GRAPHICS_VIDEOMODE_H_
#define MSP_GRAPHICS_VIDEOMODE_H_

#include <stdexcept>

namespace Msp {
namespace Graphics {

struct Monitor;
struct VideoMode;

class unsupported_video_mode: public std::runtime_error
{
public:
	unsupported_video_mode(const VideoMode &);
	virtual ~unsupported_video_mode() throw () { }
};


enum VideoRotation
{
	ROTATE_ANY,
	ROTATE_NORMAL,
	ROTATE_LEFT,
	ROTATE_RIGHT,
	ROTATE_INVERTED
};

struct VideoMode
{
	unsigned index;
	const Monitor *monitor;
	unsigned width;
	unsigned height;
	unsigned rate;
	VideoRotation rotation;

	VideoMode();
	VideoMode(unsigned, unsigned);
};

} // namespace Graphics
} // namespace Msp

#endif
